package com.example.gobangapi.config;

import com.example.gobangapi.utils.GoBangUtils;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;

@Component
public class RefreshDataConfig {

    @Scheduled(cron = "0/1 * * * * ?")
    public void room(){
        GoBangUtils.sendRoomData();
    }

    @Scheduled(cron = "0/1 * * * * ?")
    public void hall(){
        GoBangUtils.sendHallData();
    }

    @Scheduled(cron = "0/1 * * * * ?")
    public void clear(){
        GoBangUtils.clearDisconnectUser();
    }
}
